List blobs
GET
/v1/data/{artifactId}/blobs
const url = 'https://shareout.site/v1/data/example/blobs?limit=100&offset=0';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://shareout.site/v1/data/example/blobs?limit=100&offset=0' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”artifactId
required
string
Artifact ID (e.g. art_abc123).
Query Parameters
Section titled “Query Parameters”limit
integer
offset
integer
Responses
Section titled “Responses”Blobs, newest first
Media typeapplication/json
object
success
boolean
data
object
blobs
Array<object>
object
id
string
filename
string
mimeType
string
sizeBytes
integer
createdAt
string format: date-time
total
integer
limit
integer
offset
integer
Examplegenerated
{ "success": true, "data": { "blobs": [ { "id": "example", "filename": "example", "mimeType": "example", "sizeBytes": 1, "createdAt": "2026-04-15T12:00:00Z" } ], "total": 1, "limit": 1, "offset": 1 }}